Subject: Re: [PATCH 3/3] read_ref_at(): special-case ref@{0} for an empty reflog

From: Junio C Hamano <[email-masked]>
Date: Mon, 26 Feb 2024 09:25:32 -0800

Jeff King <[email-masked]> writes:

> That's one of the reasons I split this out from patch 2; we can see
> exactly what must be done to make each case work. And in fact I had
> originally started to write a patch that simply changed t1508 to expect
> failure. I could still be persuaded to go that way if anybody feels
> strongly.

I do not feel strongly either way myself.  It just is interesting
that the older end of the history is with @{20.years.ago} special
case that is only for time-based query, while the newer end of the
history is with @{0} special case.